# Examples

## Fluid

### Accelerated Tank 2D (`fluid/accelerated_tank_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/4c4c537a-8585-4456-9a1b-8b5adbf68533" width="60%"/>
```

### Dam Break 2D (`fluid/dam_break_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/683e9363-5705-49cc-9a5c-3b47d73ea4b8" width="60%"/>
```
 
### Dam Break 3D (`fluid/dam_break_3d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/76a2b235-1b49-465f-a207-76859410b783" width="60%"/>
```
 
### Falling Water Column (`fluid/falling_water_column_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/06a522f0-424f-49d3-afd0-29593373aa29" width="60%"/>
```
 
### Hydrostatic Water Column (`fluid/hydrostatic_water_column_*.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/fac6c41f-7af8-4936-9dd5-b6ff2b9f6ff4" width="60%"/>
```

### Moving Wall (`fluid/moving_wall_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/c10faddf-0400-47c9-b225-f5d286a8ecb8" width="60%"/>
```
 
### Oscillating Drop (`fluid/oscillating_drop_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/1dfa9dcf-7fc1-4221-ad83-a54c5d9ab9fb" width="60%"/>
```
 
### Periodic Channel (`fluid/periodic_channel_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/f9a542bf-956b-4647-843b-94cbb085a4fa" width="60%"/>
```
 
## Fluid Structure Interaction

### Dam Break with Elastic Plate (`fsi/dam_break_plate_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/ada0d554-e0ba-44ed-923d-2b77ef252258" width="60%"/>
```
 
### Falling Sphere 2D (`fsi/falling_sphere_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/217c80b5-3472-41c9-8003-7163641dd452" width="60%"/>
```
 
### Falling Spheres 2D (`fsi/falling_spheres_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/b3964f68-2782-43e6-b6ff-be96f9f224ae" width="60%"/>
```
 
## Structure Mechanics

### Oscillating Beam (`solid/oscillating_beam_2d.jl`)
```@raw html
<img src="https://github.com/trixi-framework/TrixiParticles.jl/assets/10238714/e05ace63-e330-441a-a391-eda3d2764074" width="60%"/>
```
 